Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class PropagatingSecuritySettings

    java.lang.Object
      oracle.ifs.server.PropagatingSecuritySettings

    public class PropagatingSecuritySettings

extends java.lang.Object

A PropagatingSecuritySettings holds the security settings that are to be propagated to other PublicObjects, according to the SecuredBy settings.

(Published)

Nested Class Summary
`static class` | `PropagatingSecuritySettings.SecuritySetting` A SecuritySetting holds a specific security setting that should be propagated to secured-by objects.

Constructor Summary
`PropagatingSecuritySettings()` Constructs a PropagatingSecuritySettings.

Method Summary
`void` | `addSecuritySetting(java.lang.String attrName, java.lang.String colName, AttributeValue av)` Adds a security setting.
`PropagatingSecuritySettings.SecuritySetting[]` | `getSecuritySettings()` Gets the security settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropagatingSecuritySettings

    public PropagatingSecuritySettings()

  Constructs a PropagatingSecuritySettings.

  (Published)

Method Detail

### addSecuritySetting

    public void addSecuritySetting(java.lang.String attrName,
                                   java.lang.String colName,
                                   AttributeValue av)
                            throws IfsException

  Description copied from class: `PropagatingSecuritySettings`
  Adds a security setting.

  Parameters:
    `attrName` - the Attribute name
    `colName` - the column name
    `av` - the value of the setting
  Throws:
    `IfsException` - if operation fails
  (Published)

### getSecuritySettings

    public PropagatingSecuritySettings.SecuritySetting[] getSecuritySettings()

  Description copied from class: `PropagatingSecuritySettings`
  Gets the security settings.

  Returns:
    the security settings
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD